Kernel SRU Workflow

linux-ti-omap4: 3.0.0-1208.18 -proposed tracker

Reported by Brad Figg on 2012-03-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Upload-to-ppa
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-1208.18 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 09. March 2012 06:31 UTC
kernel-stable-Certification-testing-end:Friday, 09. March 2012 06:46 UTC
kernel-stable-Prepare-package-end:Friday, 09. March 2012 17:32 UTC
kernel-stable-Promote-to-proposed-start:Friday, 09. March 2012 17:32 UTC
kernel-stable-Promote-to-proposed-end:Monday, 12. March 2012 18:55 UTC
kernel-stable-Verification-testing-start:Monday, 12. March 2012 20:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 13. March 2012 18:46 UTC
kernel-stable-Security-signoff-start:Wednesday, 14. March 2012 18:16 UTC
kernel-stable-Verification-testing-end:Wednesday, 14. March 2012 18:16 UTC
kernel-stable-Promote-to-updates-start:Saturday, 17. March 2012 11:01 UTC
kernel-stable-Security-signoff-end:Saturday, 17. March 2012 11:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 22. March 2012 15:16 UTC
kernel-stable-Promote-to-updates-end:Thursday, 22. March 2012 15:16 UTC

This tracking bug was opened to be worked from linux-3.0.0-17.30 update (bug 949882)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-03-09
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-oneiric.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 3.0.0-1208.18 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2012-03-12
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-03-12
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-tools-omap4 3.0.0.1208.7 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Martin Pitt (pitti) wrote :

That check seems wrong:

linux-tools-omap4 | 3.0.0.1205.0 | oneiric/universe | armel
linux-tools-omap4 | 3.0.0.1207.6 | oneiric-security/universe | armel
linux-tools-omap4 | 3.0.0.1207.6 | oneiric-updates/universe | armel
linux-tools-omap4 | 3.0.0.1208.7 | oneiric-proposed/universe | armel

Herton R. Krzesinski (herton) wrote :

Yes, I changed the component checker now to not require all binary packages to be on main from linux-meta-ti-omap4. Instead, it should now use the default comparison against what was published originally in the release pocket. Changing the promote-to-proposed task to Fix Released again.

Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-tools-omap4 3.0.0.1208.7 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

Herton R. Krzesinski (herton) wrote :

Lets try again...

description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-tools-omap4 3.0.0.1208.7 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Brad Figg (brad-figg) on 2012-03-12
description: updated
Brad Figg (brad-figg) on 2012-03-12
description: updated
Tobin Davis (gruemaster) on 2012-03-13
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-03-13
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs were verified on main linux package for oneiric, which this update is rebased upon. No specific SRUs for ti-omap4, releasing from verification.

Brad Figg (brad-figg) on 2012-03-14
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-03-17
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (6.7 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1208.18

---------------
linux-ti-omap4 (3.0.0-1208.18) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #950572

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.0.0-17.30

  [ Ubuntu: 3.0.0-17.30 ]

  * Release Tracking Bug
    - LP: #949882
  * [Config] restore build-% shortcut
  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582
  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #93171...

Read more...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers